## kf6-frameworkintegration 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(FrameworkIntegration VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)


ecm_setup_version(PROJECT VARIABLE_PREFIX FRAMEWORKINTEGRATION
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfigVersion.cmake"
                  SOVERSION 6)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)


option(BUILD_KPACKAGE_INSTALL_HANDLERS "Build the KPackage install handler binaries (recommended)" ON)
if (BUILD_KPACKAGE_INSTALL_HANDLERS)
   find_package(KF6NewStuffCore ${KF_DEP_VERSION} REQUIRED)
   find_package(KF6Package ${KF_DEP_VERSION} REQUIRED)
   find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)

   find_package(packagekitqt6)
   find_package(AppStreamQt 1.0)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.17.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6FrameworkIntegration")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6FrameworkIntegrationConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6FrameworkIntegrationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6FrameworkIntegrationTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/FrameworkIntegration COMPONENT Devel)

install(FILES plasma_workspace.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})


include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_subdirectory(integrationplugin)
add_subdirectory(kstyle)
if (BUILD_KPACKAGE_INSTALL_HANDLERS)
	add_subdirectory(kpackage-install-handlers)
endif()

=== tests/CMakeLists.txt ===
add_executable(kstyletest kstyletest.cpp)
target_link_libraries(kstyletest Qt6::Widgets KF6::Style)

=== src/kpackage-install-handlers/CMakeLists.txt ===
add_subdirectory(kns)

if(AppStreamQt_FOUND AND packagekitqt6_FOUND)
    add_subdirectory(appstream)
endif()

=== src/kstyle/CMakeLists.txt ===
# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Style")

add_library(KF6Style kstyle.cpp)
add_library(KF6::Style ALIAS KF6Style)

set_target_properties(KF6Style PROPERTIES
    VERSION     ${FRAMEWORKINTEGRATION_VERSION}
    SOVERSION   ${FRAMEWORKINTEGRATION_SOVERSION}
    EXPORT_NAME Style
)

ecm_generate_export_header(KF6Style
    BASE_NAME KStyle
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME FrameworkIntegration
    DEPRECATED_BASE_VERSION 0
)

target_include_directories(KF6Style
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/FrameworkIntegration>" # version header
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KStyle>"
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # version header
)

target_link_libraries(KF6Style
    PUBLIC
        Qt6::Widgets
    PRIVATE
        KF6::WidgetsAddons
        KF6::ColorScheme
        KF6::IconThemes
)

ecm_generate_headers(KStyle_HEADERS
  HEADER_NAMES
    KStyle
  REQUIRED_HEADERS KStyle_HEADERS
)

ecm_generate_qdoc(KF6Style kstyle.qdocconf)

install(TARGETS KF6Style
        EXPORT KF6FrameworkIntegrationTargets
        ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kstyle_export.h
              ${KStyle_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KStyle
        COMPONENT Devel)

=== src/kpackage-install-handlers/appstream/CMakeLists.txt ===
add_executable(appstreamhandler main.cpp)
target_link_libraries(appstreamhandler PK::packagekitqt6 AppStreamQt)
install(TARGETS appstreamhandler DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF}/kpackagehandlers)

=== debian/changelog ===
kf6-frameworkintegration (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:54 +0200

=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libappstreamqt-dev (>= 1.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libpackagekitqt6-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/frameworkintegration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
Rules-Requires-Root: no

Package: frameworkintegration6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.

Package: libkf6style-dev
Section: libdevel
Architecture: any
Depends: libappstreamqt-dev (>= 1.0~),
         libkf6colorscheme-dev (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libkf6iconthemes-dev (>= 6.18.0~),
         libkf6newstuff-dev (>= 6.18.0~),
         libkf6notifications-dev (>= 6.18.0~),
         libkf6style6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.18.0~),
         libpackagekitqt6-dev,
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style development files
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf6style6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style shared library
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package contains the KF6Style shared library.

## kf6-frameworkintegration 6.18.0+p24.04+vstable+git20251001.1157

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
@@ -53,7 +53,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-frameworkintegration (6.18.0+p24.04+vstable+git20251001.1157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:57:53 +0000

kf6-frameworkintegration (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:30:29 +0000

kf6-frameworkintegration (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:07:07 +0000

kf6-frameworkintegration (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:58:31 +0000

kf6-frameworkintegration (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:34:41 +0000

kf6-frameworkintegration (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:39:50 +1000

kf6-frameworkintegration (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:41:50 +0000

kf6-frameworkintegration (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:47:05 +0000

kf6-frameworkintegration (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:14:54 +0000

kf6-frameworkintegration (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:27:20 +0000

kf6-frameworkintegration (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:11:28 +0000

kf6-frameworkintegration (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:18:27 +0000

kf6-frameworkintegration (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:14:05 +0000

kf6-frameworkintegration (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:20:36 +0000

kf6-frameworkintegration (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Aug 2024 22:56:26 +0000

kf6-frameworkintegration (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:33:30 +0000

kf6-frameworkintegration (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:26:33 +1000

kf6-frameworkintegration (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:48:24 +0000

kf6-frameworkintegration (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:12:13 +0000

kf6-frameworkintegration (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-frameworkintegration (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-frameworkintegration 6.18.0+p24.04+vunstable+git20251003.1323

=== debian/changelog ===
kf6-frameworkintegration (6.18.0+p24.04+vunstable+git20251003.1323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:23:11 +0000

## kf6-frameworkintegration 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/integrationplugin/CMakeLists.txt ===

add_library(FrameworkIntegrationPlugin
    MODULE frameworkintegrationplugin.cpp)

target_link_libraries(FrameworkIntegrationPlugin
    PRIVATE
        KF6::WidgetsAddons
        KF6::ConfigCore
        KF6::Notifications
)

install(TARGETS FrameworkIntegrationPlugin
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6)

=== debian/changelog ===
kf6-frameworkintegration (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:03:59 +0100

=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.19.0~),
               libappstreamqt-dev (>= 1.0~),
               libkf6colorscheme-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6iconthemes-dev (>= 6.19.0~),
               libkf6newstuff-dev (>= 6.19.0~),
               libkf6notifications-dev (>= 6.19.0~),
               libkf6package-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libpackagekitqt6-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/frameworkintegration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
Rules-Requires-Root: no

Package: frameworkintegration6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.

Package: libkf6style-dev
Section: libdevel
Architecture: any
Depends: libappstreamqt-dev (>= 1.0~),
         libkf6colorscheme-dev (>= 6.19.0~),
         libkf6config-dev (>= 6.19.0~),
         libkf6i18n-dev (>= 6.19.0~),
         libkf6iconthemes-dev (>= 6.19.0~),
         libkf6newstuff-dev (>= 6.19.0~),
         libkf6notifications-dev (>= 6.19.0~),
         libkf6style6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.19.0~),
         libpackagekitqt6-dev,
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style development files
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf6style6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style shared library
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package contains the KF6Style shared library.

## kf6-frameworkintegration 6.19.0+p24.04+vstable+git20251008.1247

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-frameworkintegration (6.19.0+p24.04+vstable+git20251008.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:47:17 +0000

kf6-frameworkintegration (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:45:57 +0000

## kf6-frameworkintegration 6.19.0+p24.04+vstable+git20251017.0457

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)

=== debian/changelog ===
kf6-frameworkintegration (6.19.0+p24.04+vstable+git20251017.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:57:28 +0000

=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Priority: optional
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               kde-qdoc-common-dev,
               kf6-attica-dev,
               kf6-attica-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kwidgetsaddons-dev,
               kf6-oxygen-icon-theme,
               libappstreamqt-dev (>= 1.0.0),
               libpackagekitqt6-dev,
               libxcursor-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-frameworkintegration.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-frameworkintegration
Maintainer: Neon CI <neon@kde.org>

Package: kf6-frameworkintegration
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Replaces: frameworkintegration6, libkf6style6
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KF6 cross-framework integration plugins
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.

Package: kf6-frameworkintegration-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-frameworkintegration (= ${binary:Version}),
         kf6-kcolorscheme-dev,
         kf6-kconfig-dev,
         kf6-kiconthemes-dev,
         kf6-kwidgetsaddons-dev,
         ${misc:Depends}
Replaces: libkf6style-dev
Description: KF6 cross-framework integration plugins - KStyle
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 libkf6style6 provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit
 various settings from the KDE Plasma Workspace, providing a
 consistent user experience. For example, this will ensure a
 consistent single-click or double-click activation setting,
 and the use of standard themed icons.
 .
 This package provides the development files.

Package: frameworkintegration6
Architecture: all
Depends: kf6-frameworkintegration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6style6
Architecture: all
Depends: kf6-frameworkintegration, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6style-dev
Architecture: all
Depends: kf6-frameworkintegration-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-frameworkintegration 6.19.0+p24.04+vstable+git20251021.0350

=== debian/changelog ===
kf6-frameworkintegration (6.19.0+p24.04+vstable+git20251021.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:50:31 +0000

## kf6-frameworkintegration 6.19.0+p24.04+vunstable+git20251008.1254

=== debian/changelog ===
kf6-frameworkintegration (6.19.0+p24.04+vunstable+git20251008.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:54:57 +0000

## kf6-frameworkintegration 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

set(CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_kdeglobals")
configure_file(kdeplatformtheme_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeplatformtheme_config.h)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

macro(FRAMEWORKINTEGRATION_TESTS _testname)
    ecm_add_test(${_testname}.cpp ${ARGN}
                 LINK_LIBRARIES Qt6::Test KF6::ConfigCore KF6::IconThemes KF6::Style KF6::Notifications
                 TEST_NAME ${_testname}
                 NAME_PREFIX "frameworkintegration-")
    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS "-DUNIT_TEST")
endmacro()

frameworkintegration_tests(
  kstyle_unittest
)

=== debian/changelog ===
kf6-frameworkintegration (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:53 +0100

=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.20.0~),
               libappstreamqt-dev (>= 1.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6iconthemes-dev (>= 6.20.0~),
               libkf6newstuff-dev (>= 6.20.0~),
               libkf6notifications-dev (>= 6.20.0~),
               libkf6package-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libpackagekitqt6-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/frameworkintegration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
Rules-Requires-Root: no

Package: frameworkintegration6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.

Package: libkf6style-dev
Section: libdevel
Architecture: any
Depends: libappstreamqt-dev (>= 1.0~),
         libkf6colorscheme-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6iconthemes-dev (>= 6.20.0~),
         libkf6newstuff-dev (>= 6.20.0~),
         libkf6notifications-dev (>= 6.20.0~),
         libkf6style6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         libpackagekitqt6-dev,
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style development files
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf6style6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style shared library
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package contains the KF6Style shared library.

## kf6-frameworkintegration 6.20.0+p24.04+vunstable+git20251202.1012

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-frameworkintegration (6.20.0+p24.04+vunstable+git20251202.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:12:37 +0000

kf6-frameworkintegration (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000

## kf6-frameworkintegration 6.20.0+p24.04+vunstable+git20251206.0730

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-frameworkintegration (6.20.0+p24.04+vunstable+git20251206.0730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:30:54 +0000

## kf6-frameworkintegration 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-frameworkintegration (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:17 +0000

kf6-frameworkintegration (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:18 +0000

kf6-frameworkintegration (6.19.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:54:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6iconthemes-dev (>= 6.20.0~),
-               libkf6newstuff-dev (>= 6.20.0~),
-               libkf6notifications-dev (>= 6.20.0~),
-               libkf6package-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               libkf6colorscheme-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6iconthemes-dev (>= 6.21.0~),
+               libkf6newstuff-dev (>= 6.21.0~),
+               libkf6notifications-dev (>= 6.21.0~),
+               libkf6package-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -26,14 +27,13 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: integration of Qt application with KDE workspaces
  Framework Integration is a set of plugins responsible for better integration
  of Qt applications when running on a KDE Plasma workspace.
@@ -44,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.20.0~),
-         libkf6config-dev (>= 6.20.0~),
-         libkf6i18n-dev (>= 6.20.0~),
-         libkf6iconthemes-dev (>= 6.20.0~),
-         libkf6newstuff-dev (>= 6.20.0~),
-         libkf6notifications-dev (>= 6.20.0~),
+         libkf6colorscheme-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
+         libkf6iconthemes-dev (>= 6.21.0~),
+         libkf6newstuff-dev (>= 6.21.0~),
+         libkf6notifications-dev (>= 6.21.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
@@ -72,8 +72,7 @@
 Package: libkf6style6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: integration of Qt application with KDE workspaces - KF6Style shared library
  Framework Integration is a set of plugins responsible for better integration
  of Qt applications when running on a KDE Plasma workspace.

## kf6-frameworkintegration 6.21.0+p24.04+vstable+git20251222.0449

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
@@ -53,7 +53,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.18.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-frameworkintegration (6.21.0+p24.04+vstable+git20251222.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:49:34 +0000

kf6-frameworkintegration (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:51 +1000

## kf6-frameworkintegration 6.21.0+p24.04+vstable+git20251224.0726

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.11.0
     KF 6.21.0
 )

=== debian/changelog ===
kf6-frameworkintegration (6.21.0+p24.04+vstable+git20251224.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:26:55 +0000

## kf6-frameworkintegration 6.21.0+p24.04+vstable+git20260103.0421

=== debian/changelog ===
kf6-frameworkintegration (6.21.0+p24.04+vstable+git20260103.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:21:26 +0000

## kf6-frameworkintegration 6.22.0

=== debian/changelog ===
kf6-frameworkintegration (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6iconthemes-dev (>= 6.21.0~),
-               libkf6newstuff-dev (>= 6.21.0~),
-               libkf6notifications-dev (>= 6.21.0~),
-               libkf6package-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -44,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
-         libkf6iconthemes-dev (>= 6.21.0~),
-         libkf6newstuff-dev (>= 6.21.0~),
-         libkf6notifications-dev (>= 6.21.0~),
+         libkf6colorscheme-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
+         libkf6iconthemes-dev (>= 6.22.0~),
+         libkf6newstuff-dev (>= 6.22.0~),
+         libkf6notifications-dev (>= 6.22.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.22.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-frameworkintegration 6.22.0+p24.04+vstable+git20260106.1155

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-frameworkintegration (6.22.0+p24.04+vstable+git20260106.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:55:19 +0000

kf6-frameworkintegration (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:31 +1000

## kf6-frameworkintegration 6.22.0+p24.04+vstable+git20260116.1131

=== debian/changelog ===
kf6-frameworkintegration (6.22.0+p24.04+vstable+git20260116.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 11:31:44 +0000

## kf6-frameworkintegration 6.22.0+p24.04+vstable+git20260124.0155

=== debian/changelog ===
kf6-frameworkintegration (6.22.0+p24.04+vstable+git20260124.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 01:55:48 +0000

## kf6-frameworkintegration 6.22.0+p24.04+vunstable+git20260116.1409

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-frameworkintegration (6.22.0+p24.04+vunstable+git20260116.1409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 14:09:42 +0000

## kf6-frameworkintegration 6.22.0+p24.04+vunstable+git20260126.0900

=== debian/changelog ===
kf6-frameworkintegration (6.22.0+p24.04+vunstable+git20260126.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:00:39 +0000

## kf6-frameworkintegration 6.23.0

=== debian/changelog ===
kf6-frameworkintegration (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:11 +0100

=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               extra-cmake-modules (>= 6.23.0~),
               libappstreamqt-dev (>= 1.0~),
               libkf6colorscheme-dev (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6iconthemes-dev (>= 6.23.0~),
               libkf6newstuff-dev (>= 6.23.0~),
               libkf6notifications-dev (>= 6.23.0~),
               libkf6package-dev (>= 6.23.0~),
               libkf6widgetsaddons-dev (>= 6.23.0~),
               libpackagekitqt6-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/frameworkintegration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git

Package: frameworkintegration6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.

Package: libkf6style-dev
Section: libdevel
Architecture: any
Depends: libappstreamqt-dev (>= 1.0~),
         libkf6colorscheme-dev (>= 6.23.0~),
         libkf6config-dev (>= 6.23.0~),
         libkf6i18n-dev (>= 6.23.0~),
         libkf6iconthemes-dev (>= 6.23.0~),
         libkf6newstuff-dev (>= 6.23.0~),
         libkf6notifications-dev (>= 6.23.0~),
         libkf6style6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.23.0~),
         libpackagekitqt6-dev,
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style development files
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf6style6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style shared library
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package contains the KF6Style shared library.
